Oracle Cloud Infrastructure Documentation


Skip to main content

Read RelatedPerson

Read a FHIR R4 Related Person resource by logical ID.

Endpoint

GET /api/fhir/r4/RelatedPerson/{rid}

Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4

Example request: GET /api/fhir/r4/RelatedPerson/00000000-0000-4000-8000-000000000014

Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/RelatedPerson/00000000-0000-4000-8000-000000000014

Headers

{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]"}

Parameters

ParameterInRequiredTypeDescription
rid path true uuid Logical id of the RelatedPerson resource. Use the logical id of the resource.

Authorization

The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.

Context Scope form
Resource-server definition system/RelatedPerson.r
Client grant/token request ddfssystem/RelatedPerson.r
Issued token's scope claim system/RelatedPerson.r

Example Response

{
  "resourceType": "RelatedPerson",
  "patient": {
    "reference": "Patient/00000000-0000-4000-8000-000000000010"
  },
  "id": "00000000-0000-4000-8000-000000000014",
  "meta": {
    "versionId": "1",
    "lastUpdated": "2020-01-01T00:00:00Z",
    "profile": [],
    "security": [],
    "tag": [
      {
        "system": "https://example.com/fhir/tag",
        "code": "documentation-example",
        "display": "Documentation example"
      }
    ]
  },
  "identifier": [
    {
      "system": "https://example.com/fhir/identifier/related-person",
      "value": "documentation-example"
    }
  ],
  "relationship": [],
  "name": [
    {
      "family": "Example",
      "given": [
        "Related"
      ],
      "prefix": [],
      "suffix": []
    }
  ],
  "telecom": [],
  "address": [],
  "photo": [],
  "communication": []
}

Behavior

Reads a RelatedPerson resource by logical id.

cURL Example

curl.exe `
  -sS `
  --connect-timeout 10 `
  --max-time 90 `
  -X GET `
  https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/RelatedPerson/00000000-0000-4000-8000-000000000014 `
  -H 'Accept: application/fhir+json' `
  -H 'Authorization: Bearer [REDACTED]'

Status Codes

CodeStatus
200 RelatedPerson representation.

FHIR Definition

Canonical: https://hl7.org/fhir/R4/relatedperson.html

Related Operations

  • Create RelatedPerson
  • Read RelatedPerson
  • Read RelatedPerson Version
  • Update RelatedPerson
  • Delete RelatedPerson
  • Search RelatedPerson
  • Hard Delete RelatedPerson
  • Purge Deleted RelatedPerson
  • Copyright © 2026, Oracle and/or its affiliates.
  • About Oracle
  • Contact Us
  • Legal Notices
  • Terms of Use & Privacy
  • Document Conventions